cURL
curl --request PATCH \ --url https://grid.squads.xyz/api/compliance/v1/entities/{id} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'x-grid-environment: <x-grid-environment>' \ --data ' { "email": "<string>", "external_id": "<string>", "name": "<string>" } '
{ "data": { "created_at": "2023-11-07T05:31:56Z", "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "type": "individual", "updated_at": "2023-11-07T05:31:56Z", "compliance_status": "not_started", "compliance_submission_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "email": "<string>", "external_id": "<string>" }, "metadata": { "request_id": "<string>", "timestamp": "2023-11-07T05:31:56Z" } }
Updates one or more fields on an existing compliance entity. At least one of name, email, or external_id must be provided.
Your Grid API key from the Grid Dashboard
Solana network environment (sandbox, devnet, mainnet)
Entity ID
Contact email address
Your external identifier (max 255 characters)
Entity name (max 255 characters)
Entity updated successfully
Show child attributes
Was this page helpful?